This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509930 - gstreamer should have an option to ignore NetworkManager
gstreamer should have an option to ignore NetworkManager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 18:19 EDT by Richard W.M. Jones
Modified: 2009-10-06 07:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 07:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-07-06 18:19:47 EDT
When NetworkMangler doesn't own every network in and out of
the box, gstreamer is unable to install new plugins:

The error message is:

"Cannot install when offline"

Like Firefox[1], gstreamer should offer an option to ignore
NetworkManager, preferably enabled by default.

http://kb.mozillazine.org/Toolkit.networkmanager.disable
Comment 1 Bastien Nocera 2009-10-05 12:44:36 EDT
This isn't a gstreamer bug, the package installation is done by gnome-packagekit.

You'll only be allowed to call NetworkManager the way you did when the libvirtd bridging scripts stop sucking (bug #414341).
Comment 2 Richard Hughes 2009-10-06 07:23:13 EDT
Easy fix, just set UseNetworkManager to false in /etc/PackageKit/PackageKit.conf

Note You need to log in before you can comment on or make changes to this bug.